Bug 852488 - error handling for repo create with relative urls which has space
error handling for repo create with relative urls which has space
Status: CLOSED NOTABUG
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
2.0.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jay Dobies
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-28 13:11 EDT by Preethi Thomas
Modified: 2013-09-09 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-29 12:03:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2012-08-28 13:11:45 EDT
Description of problem:

Needs a better error handling if the relative urls has space

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.[root@pulp-candidate ~]# pulp-admin repo create --repo-id pulp1 --feed http://repos.fedorapeople.org/repos/pulp/pulp/v2/candidate/fedora-17/x86_64/ --relative-url /space path/
An unexpected error has occurred. More information can be found in the client
log file ~/.pulp/admin.log.


2.
3.
  
Actual results:


Expected results:


Additional info:

2012-08-28 11:10:57,009 - ERROR - Client-side exception occurred
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/pulp/client/extensions/core.py", line 475, in run
    exit_code = Cli.run(self, args)
  File "/usr/lib/python2.7/site-packages/okaara/cli.py", line 891, in run
    exit_code = command_or_section.execute(self.prompt, remaining_args)
  File "/usr/lib/python2.7/site-packages/okaara/cli.py", line 184, in execute
    return self.method(*arg_list, **clean_kwargs)
TypeError: create() takes exactly 1 argument (33 given)

Note You need to log in before you can comment on or make changes to this bug.